#pragma once

#include "CoreMinimal.h"
#include "SettingsOptionContentViewData.h"
#include "UObject/NoExportTypes.h"
#include "SettingsColorSelectorViewData.generated.h"

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API USettingsColorSelectorViewData : public USettingsOptionContentViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FColor> Colors;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FColor SelectedColor;

public:
	USettingsColorSelectorViewData();
};

FORCEINLINE uint32 GetTypeHash(const USettingsColorSelectorViewData) { return 0; }
